import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height /2;
const strokeWidth = 13;
const eyeOffsetX = 125;
const eyeOffsetY = 50;
const eyebrowYOffset = -70;
const eyeRadius = 40;
const mouthWidth = 15;
const mouthRadius = 100;

//creation of mouth
const mouthArc = arc()
	.innerRadius(-mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI/2)
	.endAngle(Math.PI*3/2);

//creation of eye arc
const eyeArc = d3.arc()
    .innerRadius(26)
    .outerRadius(40)
    .startAngle(-Math.PI/3)
    .endAngle(Math.PI/3);

//creation of ear arc 
const earArc = d3.arc()
    .innerRadius(30)
    .outerRadius(80)
    .startAngle(-Math.PI/2)
    .endAngle(Math.PI/2);

const App = () => (
<svg width={width} height={height}>
  <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 3}
        fill="grey"
        stroke="black"
        stroke-width={strokeWidth}
      />
    <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="grey" //fill the eye color 
      	stroke="black" //border color of eye
      	stroke-width="8" //border width of eye
      />
    <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="grey" //fill the eye color 
      	stroke="black" //border color of eye
      	stroke-width="8" //border width of eye
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/3}
        fill = "black" //fill the eye ball color
        stroke = "white" //border color of eye ball
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/3}
        fill = "black" //fill the eye ball color
        stroke = "white" //border color of eye ball
      />
    <ellipse
        rx= {50}
      	ry= {50}
        fill = "black" //file the ellipse color
      	transform = "rotate(-90  )"
      />
      <line
        x1={100}
        y1={33}
        x2={30}
        y2={10}
        stroke = "black"
        stroke-width = '2'
      />
      <line
        x1={100}
        y1={20}
        x2={30}
        y2={10}
        stroke = "black" //line color
        stroke-width = '2' // line width
      />
      <line
        x1={-100}
        y1={33}
        x2={-30}
        y2={10}
        stroke = "black"
        stroke-width = '2'
      />
    	<line
        x1={-100}
        y1={20}
        x2={-30}
        y2={10}
        stroke = "black" //line color
        stroke-width = '2' // line width
      />
      <line
        x1={100}
        y1={10}
        x2={30}
        y2={10}
        stroke = "black" //line color
        stroke-width = '2' // line width
      />
    
      <line
        x1={-100}
        y1={10}
        x2={-30}
        y2={10}
        stroke = "black"
        stroke-width = '2'
      />
    	<path 
        d = {eyeArc()}
        transform = "rotate(5)    translate(-132,-68)"
        fill = "black"
      />
    	<path 
        d = {eyeArc()}
        transform = "rotate(-5)    translate(132,-68)"
        fill = "black"
      />
   	 <path d={mouthArc()}
    		transform = "translate(0,80)"
      	fill = "red"
       	stroke = "black"
        stroke-width = '10'
      />
    
    <line
        x1={-200}
        y1={-235}
        x2={-120}
        y2={-210}
        stroke = "black"
        stroke-width = '10'
      />
      <line
        x1={200}
        y1={-235}
        x2={120}
        y2={-210}
        stroke = "black"
        stroke-width = '10'
      />
      <line
        x1={-200}
        y1={-240}
        x2={-200}
        y2={-140}
        stroke = "black"
        stroke-width = '10'
      />
      <line
        x1={200}
        y1={-240}
        x2={200}
        y2={-140}
        stroke = "black"
        stroke-width = '10'
      />
  </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);